Bug 1537984 - Update perl-DateTime-TimeZone to deliver 2018i Olson database
Summary: Update perl-DateTime-TimeZone to deliver 2018i Olson database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: perl-DateTime-TimeZone
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Martin Kyral
Lenka Špačková
URL:
Whiteboard:
Depends On:
Blocks: 1630907 1630916
TreeView+ depends on / blocked
 
Reported: 2018-01-24 09:05 UTC by Petr Pisar
Modified: 2019-08-06 12:44 UTC (History)
7 users (show)

Fixed In Version: perl-DateTime-TimeZone-1.70-2.el7
Doc Type: Enhancement
Doc Text:
.The `DateTime::TimeZone` Perl module is now aware of recent time zone updates The Olson time zone database has been updated to version 2018i. Previously, applications written in the Perl language that use the `DateTime::TimeZone` module mishandled time zones that changed their specifications since version 2017b due to the outdated database.
Clone Of: 1536730
Environment:
Last Closed: 2019-08-06 12:44:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1536040 None None None 2019-07-01 12:10:29 UTC
Red Hat Product Errata RHEA-2019:2092 None None None 2019-08-06 12:44:02 UTC

Internal Links: 1536040

Description Petr Pisar 2018-01-24 09:05:48 UTC
+++ This bug was initially created as a clone of Bug #1536730 +++

Latest upstream release: 2.16

----

perl-DateTime-TimeZone-1.70-1.el7 delivers 2018b Olson database. Latest Olson database is 2018c.

Comment 1 Jitka Plesnikova 2018-01-24 10:50:24 UTC
The latest version is 2.17 and it provides 2018c Olson database.

perl-DateTime-TimeZone-1.70-1.el7 delivers 2017b Olson database

Comment 2 Petr Pisar 2018-09-27 10:28:33 UTC
Latest Olson database is 2018e.

Comment 3 Jitka Plesnikova 2018-11-01 11:16:42 UTC
Latest Olson database is 2018f.

Comment 4 Petr Pisar 2018-11-12 14:55:28 UTC
Olson database 2018g changed tzdata format (added 25:00 time as discussed in bug #1646930). perl-DateTime-TimeZone build script needs some adjustments, see <https://lwn.net/Articles/771114/>.

Comment 5 Petr Pisar 2018-11-12 14:56:24 UTC
(In reply to Petr Pisar from comment #4)
> perl-DateTime-TimeZone build script needs some adjustments,
> see <https://lwn.net/Articles/771114/>.

Actually <https://lwn.net/Articles/771115/>.

Comment 6 Petr Pisar 2018-11-12 16:59:22 UTC
Upstream DateTime-TimeZone-2.21 provides 2018g. 2.21 and 2.20 tools/parse_olson as well as lib/DateTime/TimeZone/OlsonDB* are the same. 2.20 supports 2018g.

Comment 9 Petr Pisar 2019-01-17 08:34:36 UTC
We will provide update to the latest 2018i database.

How to test:

(1) Install "perl(DateTime)" and /usr/bin/perl.
(2) Print a 2019-01-01T00:00:00 UTC time for Africa/Sao_Tome zone. There was a change in 2018i database.
Before:
$ perl -e 'use DateTime; my $d=DateTime->new(year=>2019,month=>1,day=>1,hour=>0,minute=>0,second=>0,time_zone=>q{UTC}); $d->set_time_zone(q{Africa/Sao_Tome}); print $d->strftime(q{%FT%T%z}), qq{\n}'
2019-01-01T00:00:00+0000
After:
$ perl -e 'use DateTime; my $d=DateTime->new(year=>2019,month=>1,day=>1,hour=>0,minute=>0,second=>0,time_zone=>q{UTC}); $d->set_time_zone(q{Africa/Sao_Tome}); print $d->strftime(q{%FT%T%z}), qq{\n}'
2019-01-01T01:00:00+0100
(2) You can cross-check it with glibc:
$ TZ=Africa/Sao_Tome date --date '2019-01-01T00:00:00+0000' '+%FT%T%z'
2019-01-01T01:00:00+0100

Comment 17 errata-xmlrpc 2019-08-06 12:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2092


Note You need to log in before you can comment on or make changes to this bug.